<?php

namespace Drupal\synpay\Hook;

use Drupal\Core\Form\FormStateInterface;

/**
 * CheckoutFormAlter.
 */
class CheckoutFormAlter {

  /**
   * Hook From Alter.
   */
  public static function hook(&$form, FormStateInterface $form_state, $form_id) {
    // Step 1 Order Information.
    if ($form['#step_id'] == 'order_information') {
    }
    // Step 2 Review.
    if ($form['#step_id'] == 'review') {
      $order = \Drupal::routeMatch()->getParameters()->get('commerce_order');
      if ($order->hasField('payment_gateway')) {
        $pluginConfiguration = [];
        if ($payment_gateway = $order->payment_gateway->entity) {
          $pluginConfiguration = $payment_gateway->getPluginConfiguration();
        }
        if (!empty($pluginConfiguration) && $pluginConfiguration['mode'] == 'test') {
          $manager = \Drupal::service('plugin.manager.synpay');
          $text = "<b>Оплаты работают в тестовом режиме!</b><br>";
          if (isset($pluginConfiguration['gateway'])) {
            $synpay = $manager->createInstance($pluginConfiguration['gateway']);
            $text .= $synpay->testCards();
          }
          $text = "<div class='field__item'>$text</div><br>";
          $form['review']['payment_information']['summary']['payment_gateway']['#prefix'] = $text;
        }
      }
    }
    // Step 3 Payment.
    if ($form['#step_id'] == 'payment') {
    }
    // Step 4 Complete.
    if ($form['#step_id'] == 'complete') {
    }
  }

}
